package com.fshark.overseas.advert.modle;


import lombok.Data;

@Data
public class AppsflyerPurchase {


    /**
     * appsflyer_id : 1617268324168-7014069328556002014
     * advertising_id : a397f73f-2522-4722-b486-edb493a73648
     * idfa :
     * ouid : 161726882715613001
     * did : ffffffff-ec1b-5350-ffff-ffffef05ac4a,unknown,01b876f77ac02302
     * user_id : 161726882715613001
     * openid : 161726882715613001
     * roleid : 6065909e271bed34ab14d17d
     * rolename : ud22cub780ub3c4ud2b8
     * serverid : 8401
     * currency : KRW
     * revenue : 1200.00
     * af_currency : KRW
     * af_revenue : 1200.00
     * type : 1
     * orderid : 10061951141360659419cb6b0ZJZ1617269785
     * itemid : com.khsanguo.shark.1200
     * itemnum : 1
     * productid : charge6
     * platform_id : 2
     * time : 1617269799
     * ip : 125.184.219.179
     * platform : android
     * plat : 1
     * gameid : 9
     * bundle_id : com.ldsanguo.shark
     * bundle_name : ub09cud22cuc0bcuad6d:10vs10
     * app_id : 100016
     * _res : 2046*1080
     * _ip : 125.184.219.179
     * _appver : 1.2.6
     * _sdk : php
     * _mfr : samsung
     * terminal : android
     * _wifi : true
     * _model :
     * macaddr :
     * channel : mgsdk
     * subchannel :
     * _sdkserver : 1.6.0
     * _os : android
     * _osver : 11
     */

    private String appsflyer_id;
    private String advertising_id;
    private String idfa;
    private long ouid;
    private String did;
    private long user_id;
    private long openid;
    private String roleid;
    private String rolename;
    private String serverid;
    private String currency;
    private String revenue;
    private String af_currency;
    private double af_revenue;
    private String type;
    private String orderid;
    private String itemid;
    private int itemnum;
    private String productid;
    private String platform_id;
    private String time;
    private String ip;
    private String platform;
    private String plat;
    private String gameid;
    private String bundle_id;
    private String bundle_name;
    private String app_id;
    private String _res;
    private String _ip;
    private String _appver;
    private String _sdk;
    private String _mfr;
    private String terminal;
    private String _wifi;
    private String _model;
    private String macaddr;
    private String channel;
    private String subchannel;
    private String _sdkserver;
    private String _os;
    private String _osver;

    public String getAppsflyer_id() {
        return appsflyer_id;
    }

    public void setAppsflyer_id(String appsflyer_id) {
        this.appsflyer_id = appsflyer_id;
    }

    public String getAdvertising_id() {
        return advertising_id;
    }

    public void setAdvertising_id(String advertising_id) {
        this.advertising_id = advertising_id;
    }

    public String getIdfa() {
        return idfa;
    }

    public void setIdfa(String idfa) {
        this.idfa = idfa;
    }

    public long getOuid() {
        return ouid;
    }

    public void setOuid(long ouid) {
        this.ouid = ouid;
    }

    public String getDid() {
        return did;
    }

    public void setDid(String did) {
        this.did = did;
    }

    public long getUser_id() {
        return user_id;
    }

    public void setUser_id(long user_id) {
        this.user_id = user_id;
    }

    public long getOpenid() {
        return openid;
    }

    public void setOpenid(long openid) {
        this.openid = openid;
    }

    public String getRoleid() {
        return roleid;
    }

    public void setRoleid(String roleid) {
        this.roleid = roleid;
    }

    public String getRolename() {
        return rolename;
    }

    public void setRolename(String rolename) {
        this.rolename = rolename;
    }

    public String getServerid() {
        return serverid;
    }

    public void setServerid(String serverid) {
        this.serverid = serverid;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getRevenue() {
        return revenue;
    }

    public void setRevenue(String revenue) {
        this.revenue = revenue;
    }

    public String getAf_currency() {
        return af_currency;
    }

    public void setAf_currency(String af_currency) {
        this.af_currency = af_currency;
    }

    public double getAf_revenue() {
        return af_revenue;
    }

    public void setAf_revenue(double af_revenue) {
        this.af_revenue = af_revenue;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid;
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid;
    }

    public int getItemnum() {
        return itemnum;
    }

    public void setItemnum(int itemnum) {
        this.itemnum = itemnum;
    }

    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    public String getPlatform_id() {
        return platform_id;
    }

    public void setPlatform_id(String platform_id) {
        this.platform_id = platform_id;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlat() {
        return plat;
    }

    public void setPlat(String plat) {
        this.plat = plat;
    }

    public String getGameid() {
        return gameid;
    }

    public void setGameid(String gameid) {
        this.gameid = gameid;
    }

    public String getBundle_id() {
        return bundle_id;
    }

    public void setBundle_id(String bundle_id) {
        this.bundle_id = bundle_id;
    }

    public String getBundle_name() {
        return bundle_name;
    }

    public void setBundle_name(String bundle_name) {
        this.bundle_name = bundle_name;
    }

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String get_res() {
        return _res;
    }

    public void set_res(String _res) {
        this._res = _res;
    }

    public String get_ip() {
        return _ip;
    }

    public void set_ip(String _ip) {
        this._ip = _ip;
    }

    public String get_appver() {
        return _appver;
    }

    public void set_appver(String _appver) {
        this._appver = _appver;
    }

    public String get_sdk() {
        return _sdk;
    }

    public void set_sdk(String _sdk) {
        this._sdk = _sdk;
    }

    public String get_mfr() {
        return _mfr;
    }

    public void set_mfr(String _mfr) {
        this._mfr = _mfr;
    }

    public String getTerminal() {
        return terminal;
    }

    public void setTerminal(String terminal) {
        this.terminal = terminal;
    }

    public String get_wifi() {
        return _wifi;
    }

    public void set_wifi(String _wifi) {
        this._wifi = _wifi;
    }

    public String get_model() {
        return _model;
    }

    public void set_model(String _model) {
        this._model = _model;
    }

    public String getMacaddr() {
        return macaddr;
    }

    public void setMacaddr(String macaddr) {
        this.macaddr = macaddr;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getSubchannel() {
        return subchannel;
    }

    public void setSubchannel(String subchannel) {
        this.subchannel = subchannel;
    }

    public String get_sdkserver() {
        return _sdkserver;
    }

    public void set_sdkserver(String _sdkserver) {
        this._sdkserver = _sdkserver;
    }

    public String get_os() {
        return _os;
    }

    public void set_os(String _os) {
        this._os = _os;
    }

    public String get_osver() {
        return _osver;
    }

    public void set_osver(String _osver) {
        this._osver = _osver;
    }
}
